# spec file for package dualsensectl
#
# Copyright (c) 2022 Fabio Pesari
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:          dualsensectl
Version:       0.7
Release:       1%{?dist}
Summary:       Linux tool for controlling PS5 DualSense controllers
License:       GPL-2.0-or-later
Group:         Hardware/Joystick
URL:           https://github.com/nowrep/%{name}
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: meson
BuildRequires: gcc gcc-c++
BuildRequires: dbus-devel
BuildRequires: hidapi-devel
BuildRequires: pkgconfig(libudev)

%description
dualsensectl is a Linux tool for controlling Sony PlayStation 5 DualSense
controllers.

%prep
%autosetup 

%build
%meson
%meson_build

%install
%meson_install

# install shell completion
install -D -m 644 -p completion/%{name} %{buildroot}%{bash_completions_dir}/%{name}
install -D -m 644 -p completion/_%{name} %{buildroot}%{zsh_completions_dir}/_%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{zsh_completions_dir}/_%{name}

%changelog
* Sat Feb 08 2025 Christian Birk <mail@birkc.de> - 0.7-1
- new version
- change build system to meson

* Mon Aug 19 2024 Christian Birk <mail@birkc.de> - 0.6-1
- new version

* Sun Mar 31 2024 Christian Birk <mail@birkc.de> - 0.5-1
- new version

* Tue Aug 01 2023 Christian Birk <mail@birkc.de> - 0.4-1
- new version

* Wed Jun 21 2023 Christian Birk <mail@birkc.de> - 0.3-1
- new version

* Thu Jul 28 2022 Christian Birk <mail@birkc.de> - 0.2-2
- Changes for fedora
- Disable stripping for the build

* Thu Jun 23 2022 Fabio Pesari <fpesari@tuxfamily.org>
- First upload, v0.2
